<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>DependencyResolveDetails (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DependencyResolveDetails (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/DependencyResolutionListener.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/DependencySet.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/DependencyResolveDetails.html" target="_top">Frames</a></li>
<li><a href="DependencyResolveDetails.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts</div>
<h2 title="Interface DependencyResolveDetails" class="title">Interface DependencyResolveDetails</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">DependencyResolveDetails</span></pre>
<div class="block">Provides details about a dependency when it is resolved.
 Provides means to manipulate dependency metadata when it is resolved.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.4</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts">ModuleVersionSelector</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#getRequested()">getRequested</a></strong>()</code>
<div class="block">The module, before it is resolved.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts">ModuleVersionSelector</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#getTarget()">getTarget</a></strong>()</code>
<div class="block">The target module selector used to resolve the dependency.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#useTarget(java.lang.Object)">useTarget</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;notation)</code>
<div class="block">Allows to override the details of the dependency (see <a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#getTarget()"><code>getTarget()</code></a>)
 when it is resolved (see <a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#getRequested()"><code>getRequested()</code></a>).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#useVersion(java.lang.String)">useVersion</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;version)</code>
<div class="block">Allows to override the version when the dependency <a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#getRequested()"><code>getRequested()</code></a> is resolved.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRequested()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRequested</h4>
<pre><a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts">ModuleVersionSelector</a>&nbsp;getRequested()</pre>
<div class="block">The module, before it is resolved.
 The requested module does not change even if there are multiple dependency resolve rules
 that manipulate the dependency metadata.</div>
</li>
</ul>
<a name="useVersion(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useVersion</h4>
<pre>void&nbsp;useVersion(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;version)</pre>
<div class="block">Allows to override the version when the dependency <a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#getRequested()"><code>getRequested()</code></a> is resolved.
 Can be used to select a version that is different than requested.
 Forcing modules via <a href="../../../../org/gradle/api/artifacts/ResolutionStrategy.html#force(java.lang.Object...)"><code>ResolutionStrategy.force(Object...)</code></a> uses this capability.
 Configuring a version different than requested will cause <a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#getTarget()"><code>getTarget()</code></a> method
 return a target module with updated target version.
 <p>
 If you need to change not only the version but also group or name please use the <a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#useTarget(java.lang.Object)"><code>useTarget(Object)</code></a> method.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>version</code> - to use when resolving this dependency, cannot be null.
 It is valid to configure the same version as requested.</dd></dl>
</li>
</ul>
<a name="useTarget(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useTarget</h4>
<pre>void&nbsp;useTarget(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;notation)</pre>
<div class="block">Allows to override the details of the dependency (see <a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#getTarget()"><code>getTarget()</code></a>)
 when it is resolved (see <a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#getRequested()"><code>getRequested()</code></a>).
 This method can be used to change the dependency before it is resolved,
 e.g. change group, name or version (or all three of them).
 In many cases users are interested in changing the version.
 For such scenario you can use the <a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#useVersion(java.lang.String)"><code>useVersion(String)</code></a> method.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>notation</code> - the notation that gets parsed into an instance of <a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts"><code>ModuleVersionSelector</code></a>.
 You can pass Strings like 'org.gradle:gradle-core:1.4',
 Maps like [group: 'org.gradle', name: 'gradle-core', version: '1.4'],
 or instances of ModuleVersionSelector.</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.5</dd></dl>
</li>
</ul>
<a name="getTarget()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTarget</h4>
<pre><a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts">ModuleVersionSelector</a>&nbsp;getTarget()</pre>
<div class="block">The target module selector used to resolve the dependency.
 Never returns null. Target module is updated when methods like <a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html#useVersion(java.lang.String)"><code>useVersion(String)</code></a> are used.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/DependencyResolutionListener.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/DependencySet.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/DependencyResolveDetails.html" target="_top">Frames</a></li>
<li><a href="DependencyResolveDetails.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
